Last Comment Bug 702952 - Pages are cut off, especially after zooming out and pressing reload
: Pages are cut off, especially after zooming out and pressing reload
Status: VERIFIED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: ARM Android
: P1 normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on: 703141
Blocks: native_droid_panning
  Show dependency treegraph
 
Reported: 2011-11-16 06:55 PST by Steffen Wilberg
Modified: 2012-01-09 14:46 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
11+


Attachments
screenshot (59.96 KB, image/png)
2011-11-21 11:34 PST, Steffen Wilberg
no flags Details

Description Steffen Wilberg 2011-11-16 06:55:30 PST
Testing with the latest (Nov. 16) birch nightly.

Long pages are sometimes cut off at the bottom, some are cut off at the right side as well.

For example, open https://wiki.mozilla.org/EU_MozCamp_2011/Schedule.
Most of the time, I don't see the bottom of that page. If I zoom in and press Reload, it gets better.

Zooming in too much is counter-productive however. If I do this on http://www.heise.de/newsticker/ and pan upwards, I scroll both the page (new text is pulled out of the checkerboard), but also move the visible content upwards and see more of the checkerboard (but not the bottom of the page) until the page is gone.

Another nice example is about:about. Zoom out and press reload, zoom out further and press reload etc., until only the heading (or the first letter of it) is visible (zoom in to check). This is reversible by zooming in and reloading. It also affects the next page you're loading in the same tab.

Maybe bug 701594 (Should not be able to stay zoomed out further than the page width) will help here.
Comment 1 Kevin Brosnan [:kbrosnan] 2011-11-21 09:15:30 PST
I am able to load https://wiki.mozilla.org/EU_MozCamp_2011/Schedule on today's native build would you please recheck.
Comment 2 Steffen Wilberg 2011-11-21 11:32:52 PST
It got better, i.e. it displayed the whole page. But if you zoom out on that page or on about:about, it is cut off.

It will be fixed by the "css-zoom" patch on 
http://hg.mozilla.org/users/pwalton_mozilla.com/birch-pan-zoom/file/27d7042c7abf/css-zoom
Comment 3 Steffen Wilberg 2011-11-21 11:34:07 PST
Created attachment 575921 [details]
screenshot
Comment 4 Steffen Wilberg 2011-11-23 13:24:59 PST
This just got fixed by the pan-zoom-patches (bug 703141).
Comment 5 Camelia Urian 2011-11-28 02:46:50 PST
Build ID: Mozilla/5.0 (Android; Linux armv7l; rv:11.0a1) Gecko/20111127 Firefox/11.0a1 Fennec/11.0a1
Device: HTC Desire Z
OS: Android 2.3

Pages are not cut off: verified on long pages (https://wiki.mozilla.org/EU_MozCamp_2011/Schedule) and also with zooming out and reloading.

Note You need to log in before you can comment on or make changes to this bug.